Name:		fcitx-m17n
Version:	0.1.3
Release:	1%{?dist}
Summary:	M17n Engine for Fcitx
Group:		System Environment/Libraries
License:	LGPLv2+
URL:		http://code.google.com/p/fcitx/
Source0:	http://fcitx.googlecode.com/files/%{name}-%{version}.tar.xz

BuildRequires:	cmake, fcitx-devel, gettext, intltool, m17n-lib-devel
Requires:	fcitx

%description
Fcitx-m17n is a M17n engine wrapper for Fcitx. 
It allows input of many languages using the 
input table maps from m17n-db.

%prep
%setup -q -n %{name}-%{version}


%build
mkdir -pv build
pushd build
%cmake ..
make %{?_smp_mflags} VERBOSE=1
popd

%install
rm -rf $RPM_BUILD_ROOT
pushd build
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
popd

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING
%{_libdir}/fcitx/%{name}.so
%{_datadir}/fcitx/addon/%{name}.conf
%{_datadir}/fcitx/configdesc/%{name}.desc
%{_datadir}/fcitx/m17n/default

%changelog
* Tue Dec 11 2012 Liang Suilong <liangsuilong@gmail.com> - 0.1.3-1
- Upstream to fcitx-m17n-0.1.3

* Tue May 22 2012 Liang Suilong <liangsuilong@gmail.com> - 0.1.2-1
- Initial Package
